package com.lightinit.hsdataplatform.model.admin;

import java.util.Date;

public class AuthorizationListModel {

    private Long id ;

    private Long publishInfoId ;

    private Long publishSettingId ;

    //资源名称
    private String resourceName ;

    //状态
    private String authState ;

    //资源类型
    private String resourceType ;

    //申请时间
    private Date applyTime ;

    //申请渠道
    private String platfromType ;

    //开放共享类型
    private String openOrShare ;

    private String outId1 ;

    private Long applier ;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getAuthState() {
        return authState;
    }

    public void setAuthState(String authState) {
        this.authState = authState;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getPlatfromType() {
        return platfromType;
    }

    public void setPlatfromType(String platfromType) {
        this.platfromType = platfromType;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public String getOpenOrShare() {
        return openOrShare;
    }

    public void setOpenOrShare(String openOrShare) {
        this.openOrShare = openOrShare;
    }

    public String getOutId1() {
        return outId1;
    }

    public void setOutId1(String outId1) {
        this.outId1 = outId1;
    }

    public Long getApplier() {
        return applier;
    }

    public void setApplier(Long applier) {
        this.applier = applier;
    }
}
